package com.example.aped;

import android.os.Bundle;
import android.view.MenuItem;

import android.view.Menu;
import android.widget.Toast;

import com.example.aped.communication.IXML;
import com.example.aped.communication.TestXML;
import com.google.android.material.navigation.NavigationView;

import androidx.annotation.NonNull;
import androidx.navigation.NavController;
import androidx.navigation.Navigation;
import androidx.navigation.ui.AppBarConfiguration;
import androidx.navigation.ui.NavigationUI;
import androidx.drawerlayout.widget.DrawerLayout;
import androidx.appcompat.app.AppCompatActivity;
import androidx.appcompat.widget.Toolbar;

public class MainActivity extends AppCompatActivity {
    /** was soll angezeigt werden in Navigation.*/
    private AppBarConfiguration mAppBarConfiguration;
    /** zur Verwendung von xml anstatt der direkten Einbindung.*/
    private IXML xml;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        Toolbar toolbar = findViewById(R.id.toolbar);
        setSupportActionBar(toolbar);

        DrawerLayout drawer = findViewById(R.id.drawer_layout);
        NavigationView navigationView = findViewById(R.id.nav_view);
        // Passing each menu ID as a set of Ids because each
        // menu should be considered as top level destinations.
        mAppBarConfiguration = new AppBarConfiguration.Builder(
                R.id.nav_all_IOs, R.id.nav_your_IOs)
                .setDrawerLayout(drawer)
                .build();
        NavController navController = Navigation.findNavController(this,
                                                        R.id.nav_host_fragment);
        NavigationUI.setupActionBarWithNavController(this,
                                        navController, mAppBarConfiguration);
        NavigationUI.setupWithNavController(navigationView, navController);

        xml = new TestXML();
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.main, menu);
        return true;
    }

    @Override
    public boolean onSupportNavigateUp() {
        NavController navController = Navigation.findNavController(this,
                                                        R.id.nav_host_fragment);
        return NavigationUI.navigateUp(navController, mAppBarConfiguration)
                || super.onSupportNavigateUp();
    }
    /**was sollbeit click auf den jeweiligen itembutton passieren.*/
    @Override
    public boolean onOptionsItemSelected(@NonNull MenuItem item) {
        switch (item.getItemId()) {
            case R.id.action_settings:
                Toast.makeText(this, "Settings",
                        Toast.LENGTH_SHORT).show();
                return true;
            case R.id.action_adjust_xml:
                Toast.makeText(this, "Adjust .xml",
                        Toast.LENGTH_SHORT).show();
                return true;
            case R.id.action_download_xml:
                Toast.makeText(this, "Download .xml",
                        Toast.LENGTH_SHORT).show();
                return true;
            case R.id.action_upload_xml:
                Toast.makeText(this, "Upload .xml",
                        Toast.LENGTH_SHORT).show();
                xml.upload();
                return true;
            default:
                return super.onOptionsItemSelected(item);
        }

    }
}
